/* BODY */
.body{
  background-color:  #E6D69A;
}

/* Navbar */
.navbar-brand{
    font-family: Poppins;
    font-size: 22px;
    font-style: italic;
}

.nav-link{
    margin-right: 30px;
    font-family: Poppins;
}


/*Utility*/
.tombol{
    border-radius: 40px;
    font-family: Poppins;
}

.judul{
    margin-top: 100px;
    font-size: 80px;
    font-family: poppins;
}

/*JUMBOTRON*/
.jumbotron{
    background-color: #AD9840;
    height: 800px;
}

/*About ME*/
.about{
  margin-bottom: 90px;
}

.about h1{
    text-align: center;
    font-size: 50px;
    font-family: montserrat;
}

.about p {
    margin-top: 25px;
    font-size: 18px;
    font-family: poppins;
    margin-top: 25px;
}

.about img{
    width: 250px;
    height: 320px;
    margin-top: 100px;
    margin-left: 110px;
    padding-bottom: 50px;
}


 /* TIMELINE*/ 

  .timeline{
    padding-top: 1px;
  }
  

  .timeline h1{
      font-family: montserrat;
      font-size: 28px;
      margin-left: 50px;
      margin-top: 70px;
      color: #615524;
      
    }
    .timeline ul li {
    list-style-type: none;
    position: relative;
    width: 6px;
    margin: 0 auto;
    padding-top: 50px;
    background: rgb(48, 51, 44);
    }

    .timeline ul li::after {
    content: '';
    position: absolute;
    left: 50%;
    bottom: 0;
    transform: translateX(-50%);
    width: 30px;
    height: 30px;
    border-radius: 50%;
    background: inherit;
    }

    .timeline ul li div {
    position: relative;
    bottom: 0;
    width: 400px;
    padding: 15px;
    background-color: darkkhaki;
    }

    .timeline ul li div::before {
    content: '';
    position: absolute;
    bottom: 7px;
    width: 0;
    height: 0;
    border-style: solid;
    }

    .timeline ul li:nth-child(odd) div {
    left: 45px;
    }

    .timeline ul li:nth-child(odd) div::before {
    left: -15px;
    border-width: 8px 16px 8px 0;
    border-color: transparent darkkhaki transparent transparent;
    }

    .timeline ul li:nth-child(even) div {
    left: -439px;
    }

    .timeline ul li:nth-child(even) div::before {
    right: -15px;
    border-width: 8px 0 8px 16px;
    border-color: transparent transparent transparent darkkhaki;
    }

    .timeline ul li::after {
      background: #fff;
      transition: background .5s ease-in-out;
    }
     
    .timeline ul li.in-view::after {
      background: #F45B69;
    }
     
    .timeline ul li div {
      visibility: hidden;
      opacity: 0;
      transition: all .5s ease-in-out;
    }
     
    .timeline ul li:nth-child(odd) div {
      transform: translate3d(200px,0,0);
    }
     
    .timeline ul li:nth-child(even) div {
      transform: translate3d(-200px,0,0);
    }
     
    .timeline ul li.in-view div {
      transform: none;
      visibility: visible;
      opacity: 1;
    }

    .timeline ul li::after {
      background: #fff;
      transition: background .5s ease-in-out;
    }
     
    .timeline ul li.in-view::after {
      background: #F45B69;
    }
     
    .timeline ul li div {
      visibility: hidden;
      opacity: 0;
      transition: all .5s ease-in-out;
    }
     
    .timeline ul li:nth-child(odd) div {
      transform: translate3d(200px,0,0);
    }
     
    .timeline ul li:nth-child(even) div {
      transform: translate3d(-200px,0,0);
    }
     
    .timeline ul li.in-view div {
      transform: none;
      visibility: visible;
      opacity: 1;
    }
    

  
 /* PROJECTS */

 .project div{
   height: 600px;
 }
 .projects h1{
    font-family: montserrat;
    font-size: 28px;
    margin-top: 100px;
    margin-bottom: 40px;
    color: #615524;
 }

 /* CONTACT */
.contact{
  background-color: #FEFBEF;
  margin-top: 150px;
}
.contact h1{
    font-family: montserrat;
    font-size: 40px;
    padding-top: 30px;
    margin-left: 100px;
    margin-bottom: 60px;
    color: #615524;
} 
.contact img{
  width: 40px;
  height: 40px;
  margin-left: 100px;
  margin-bottom: 20px;
}

.contact span{
  margin-left: -80px;
  font-family: montserrat;
    font-size: 20px;
    margin-bottom: 20px;
}

.skills h1{
  font-family: montserrat;
  font-size: 28px;
  margin-top: 200px;
  color: #615524;
}

@keyframes load{
  from {
    width: 0%
  }
}
@-webkit-keyframes load{
  from {
    width: 0%
  }
}
@-moz-keyframes load{
  from {
    width: 0%
  }
}
@-o-keyframes load{
  from {
    width: 0%
  }
}

.skills .bar{
  background-color: #EEE;
  padding: 2px;
  border-radius: 15px;
  margin-bottom: 5px;
  font-size: 14px;
  color: #FFF;
  font-weight: bold;
  text-shadow: 1px 1px 1px rgba(0,0,0,0.5);
}
.skills .bar::before{
  content:  attr(data-skill);
  background-color: olivedrab;
  display: inline-block;
  padding: 5px 0 5px 10px;
  border-radius: inherit;
  animation: load 2s 0s;
  -webkit-animation: load 2s 0s;
  -moz-animation: load 2s 0s;
  -o-animation: load 2s 0s;
}

.skills .bar.front::before{
  background-color: olivedrab;
}
.skills .bar.back::before{
  background-color:olivedrab;
}

.skills .bar.learning::before{
  width: calc(20% - 10px);
}
.skills .bar.basic::before{
  width: calc(40% - 10px);
}
.skills .bar.intermediate::before{
  width: calc(60% - 10px);
}
.skills .bar.advanced::before{
  width: calc(80% - 10px);
}
.skills .bar.expert::before{
  width: calc(100% - 10px);
}

.experience h1{
  margin-left: 80px;
}


/* Deskop Version*/
@media (min-width: 992px) { 
    .nav-link:hover::after{
        content: '';
        display: block;
        border-bottom: 3px solid #AD9840 ;
        width: 50%;
        margin: auto;
    }
    .judul{
        margin-right: 600px;
    }

    .about h1{
        text-align: center;
        font-size: 50px;
        font-family: montserrat;
        margin-top: 100px;
    }

    .about img{
        margin-left : 180px;
        width: 300px;
        height: 400px;
    }

    .timeline ul li {
        list-style-type: none;
        position: relative;
        width: 6px;
        margin: 0 auto;
        padding-top: 50px;
        background: darkolivegreen;
      }
       
      .timeline ul li::after {
        content: '';
        position: absolute;
        left: 50%;
        bottom: 0;
        transform: translateX(-50%);
        width: 30px;
        height: 30px;
        border-radius: 50%;
        background: inherit;
      }
    
      .timeline ul li div {
        position: relative;
        bottom: 0;
        width: 400px;
        padding: 15px;
        background-color: darkkhaki;
      }
       
      .timeline ul li div::before {
        content: '';
        position: absolute;
        bottom: 7px;
        width: 0;
        height: 0;
        border-style: solid;
      }
    
      .timeline ul li:nth-child(odd) div {
        left: 45px;
      }
       
      .timeline ul li:nth-child(odd) div::before {
        left: -15px;
        border-width: 8px 16px 8px 0;
        border-color: transparent darkkhaki transparent transparent;
      }
    
      .timeline ul li:nth-child(even) div {
        left: -439px;
      }
       
      .timeline ul li:nth-child(even) div::before {
        right: -15px;
        border-width: 8px 0 8px 16px;
        border-color: transparent transparent transparent darkkhaki;
      }
      .timeline ul li::after {
        background:darkolivegreen;
        transition: background .5s ease-in-out;
      }
       
      .timeline ul li.in-view::after {
        background: darkolivegreen;
      }
       
      .timeline ul li div {
        visibility: hidden;
        opacity: 0;
        transition: all .5s ease-in-out;
      }
       
      .timeline ul li:nth-child(odd) div {
        transform: translate3d(200px,0,0);
      }
       
      .timeline ul li:nth-child(even) div {
        transform: translate3d(-200px,0,0);
      }
       
      .timeline ul li.in-view div {
        transform: none;
        visibility: visible;
        opacity: 1;
      }

      .project .card{
        width: 300px;
        height: 302px;
        
     }

      .contact h1{
          margin-left: 400px;

      }

      .contact img{
        width: 40px;
        height: 40px;
        margin-left: 400px;
        margin-bottom: 20px;
      }
      
      .contact span{
        margin-left: -100px;
        font-family: montserrat;
          font-size: 20px;
          margin-bottom: 20px;
      }
      
      
  
}

@media screen and (max-width: 600px) {
    .timeline{
        margin-left: -50px;
    }
    .timeline ul li {
      margin-left: 20px;
    }
     
    .timeline ul li div {
      width: calc(100vw - 91px);
    }
     
    .timeline ul li:nth-child(even) div {
      left: 45px;
    }
     
    .timeline ul li:nth-child(even) div::before {
      left: -15px;
      border-width: 8px 16px 8px 0;
      border-color: transparent darkkhaki transparent transparent;
    }

    .timeline ul li::after {
        background: darkolivegreen;
        transition: background .5s ease-in-out;
      }
       
      .timeline ul li.in-view::after {
        background: darkolivegreen;
      }
       
      .timeline ul li div {
        visibility: hidden;
        opacity: 0;
        transition: all .5s ease-in-out;
      }
       
      .timeline ul li:nth-child(odd) div {
        transform: translate3d(200px,0,0);
      }
       
      .timeline ul li:nth-child(even) div {
        transform: translate3d(-200px,0,0);
      }
       
      .timeline ul li.in-view div {
        transform: none;
        visibility: visible;
        opacity: 1;
      }

      .card{
        width: 300px;
        margin-left: 100px;
        margin-top: 30px;
      }
  }